View Issue Details

IDProjectCategoryView StatusLast Update
0000198JamochaMUDUser Interfacepublic2008-06-30 02:05
ReporterjeffnikAssigned Tojeffnik 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version2.9 
Target VersionFixed in Version3.1 
Summary0000198: Ability to refine what is considered /puppet window input
DescriptionCurrent JamochaMUD looks for the puppet name with ">" appended to determine if the MU* output should be sent to a given puppet window. This may not work for all MU*s, if it is not a standard format, so perhaps a way should be given for user to define how puppet activity is presented.
TagsNo tags attached.

Activities

mm0qq

2008-06-22 20:30

reporter   ~0000163

Last edited: 2008-06-23 00:46

This enhancement could have other uses for monitoring game status messages and similar things, especially if each window could have its own. Even nicer if a window could have multiple, maybe implemented using a regular expression to avoid needing multiple entries.

jeffnik

2008-06-30 02:05

administrator   ~0000169

The /puppet command has now been updated to allow the user to give not only the puppet name, but the output to look for from the connected MU* and also automatically pre-pend the appropriate "send command".

Issue History

Date Modified Username Field Change
2008-06-21 13:36 jeffnik New Issue
2008-06-21 13:36 jeffnik Status new => assigned
2008-06-21 13:36 jeffnik Assigned To => jeffnik
2008-06-22 20:30 mm0qq Note Added: 0000163
2008-06-23 00:46 mm0qq Note Edited: 0000163
2008-06-30 02:05 jeffnik Status assigned => resolved
2008-06-30 02:05 jeffnik Fixed in Version => 4.9
2008-06-30 02:05 jeffnik Resolution open => fixed
2008-06-30 02:05 jeffnik Note Added: 0000169